<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                <li>
                    <a href="{% url 'logout' %}">Logout</a>
                </li>
                <li>
                    <a href="{% url 'home' %}">Home</a>
                </li>
                <li>
                    <a href="{% url 'create_receipt' %}">Create Receipt</a>
                </li>
                <li>
                    <a href="{% url 'account_list' %}">Account List</a>
                </li>
                <li>
                    <a href="{% url 'create_account' %}">Create Account</a>
                </li>
                <li>
                    <a href="{% url 'create_category' %}">Create Category</a>
                </li>
                {% else %}
                <li>
                    <a href="{% url 'signup' %}">Sign Up</a>
                </li>
                <li>
                    <a href="{% url 'login' %}">Login</a>
                </li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <div>
        <h1>Receipt Categories</h1>
        <table>
            <thead>
                <th>Name</th>
                <th>Number of Receipts</th>
            </thead>
            <tbody>
                {% for expense in category %}
                <tr>
                    <td>{{ expense.name }}</td>
                    <td>{{ expense.receipts.count }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</body>

</html>
